Package fr.gouv.vitam.common.client

# Class VitamContext

java.lang.Object
fr.gouv.vitam.common.client.VitamContext

public final class VitamContext extends Object
Defines commons client parameters for vitam external rest API

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamContext(Integer tenantId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAccessContract()`
  Gets the access contract
  `String`
  `getApplicationSessionId()`
  Gets the application session id
  `jakarta.ws.rs.core.MultivaluedMap<String,Object>`
  `getHeaders()`
  Returns a vitam context parameters as headers
  `String`
  `getPersonalCertificate()`
  Gets the personnal certificate.
  `Integer`
  `getTenantId()`
  Gets the tenant id
  `int`
  `hashCode()`
  `VitamContext`
  `setAccessContract(String accessContract)`
  Sets the access contract
  `VitamContext`
  `setApplicationSessionId(String applicationSessionId)`
  Sets the application session id
  `VitamContext`
  `setPersonalCertificate(String personalCertificate)`
  Sets personalCertificate
  `VitamContext`
  `setTenantId(Integer tenantId)`
  Sets the tenant id
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VitamContext

    public VitamContext(Integer tenantId)
    Parameters:
      `tenantId` - the tenant id

- ## Method Details

  - ### getTenantId

    public Integer getTenantId()
    Gets the tenant id
    Returns:
      the tenant id

  - ### setTenantId

    public VitamContext setTenantId(Integer tenantId)
    Sets the tenant id
    Parameters:
      `tenantId` - the tenant id to set
    Returns:
      "this" instance. May be used for fluent instance creation.

  - ### getAccessContract

    public String getAccessContract()
    Gets the access contract
    Returns:
      the access contract

  - ### setAccessContract

    public VitamContext setAccessContract(String accessContract)
    Sets the access contract
    Parameters:
      `accessContract` - the access contract to set
    Returns:
      "this" instance. May be used for fluent instance creation.

  - ### getApplicationSessionId

    public String getApplicationSessionId()
    Gets the application session id
    Returns:
      the application session id

  - ### setApplicationSessionId

    public VitamContext setApplicationSessionId(String applicationSessionId)
    Sets the application session id
    Parameters:
      `applicationSessionId` - the application session id to set
    Returns:
      "this" instance. May be used for fluent instance creation.

  - ### getPersonalCertificate

    public String getPersonalCertificate()
    Gets the personnal certificate.
    Returns:

  - ### setPersonalCertificate

    public VitamContext setPersonalCertificate(String personalCertificate)
    Sets personalCertificate
    Parameters:
      `personalCertificate` - the personalCertificate to set
    Returns:
      "this" instance. May be used for fluent instance creation.

  - ### getHeaders

    public jakarta.ws.rs.core.MultivaluedMap<String,Object> getHeaders()
    Returns a vitam context parameters as headers
    Returns:
      header-name/value map of vitam context parameters

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`